﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.WebForms;

namespace _9095
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Proj4Projection mapProjection = new Proj4Projection();
                mapProjection.InternalProjectionParametersString = Proj4Projection.GetDecimalDegreesParametersString();
                mapProjection.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                Map1.MapUnit = GeographyUnit.Meter;

                LayerOverlay layerOverlay = new LayerOverlay();
                ShapeFileFeatureLayer shapeFileLayer = new ShapeFileFeatureLayer(MapPath(@"App_Data\states.shp"));
                shapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = WorldStreetsAreaStyles.Military();
                shapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                shapeFileLayer.FeatureSource.Projection = mapProjection;
                layerOverlay.Layers.Add(shapeFileLayer);
                Map1.CustomOverlays.Add(layerOverlay);

                shapeFileLayer.Open();
                Map1.CurrentExtent = shapeFileLayer.GetBoundingBox();

                Map1.MapTools.MouseCoordinate.MouseCoordinateType = MouseCoordinateType.LongitudeLatitude;
                Map1.MapTools.MouseCoordinate.Enabled = true;                
            }
        }
    }
}